#pragma once

#include "Workspace.h"



/*!
	自動置き換えを行うためのテキストクラス
*/
class CWorkspaceTextSwap : public IWorkspaceAutoSwap
{
public:
	CWorkspaceTextSwap(int autoDelete = TRUE) { m_autoDelete = autoDelete; };
	virtual ~CWorkspaceTextSwap() {};

	//!	置き換え項目の追加
	void AddSwap(CString oldStr,CString newStr);

	//!	通常の取得
	virtual CString SwapString(CString orgKey, CString orgData);

	//!	削除
	virtual void Delete();

protected:
	CStringArray	oldArray;
	CStringArray	newArray;

	//!	自動削除？
	int				m_autoDelete;
};
